#
# spec file for package openjpeg2
#

# norootforbuild

Name:           openjpeg2
Version:        2.0.0
Release:        1.2
Summary:        The OpenJPEG library is an open-source JPEG 2000 library
Group:          Development/Libraries/Other
License:        BSD
URL:            http://www.openjpeg.org/
Source0:        openjpeg2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  cmake libgeotiff-devel gcc-c++ gcc libpng-devel
BuildRequires:  fdupes

%description
The main part of the project consists in a JPEG 2000 codec compliant with the Part 1 of the standard (Class-1 Profile-1 compliance)

%define library_name  libopenjpeg2_0

%package -n libopenjpeg2_0
Group:     Development/Libraries/Other
Summary:   The OpenJPEG library is an open-source JPEG 2000 library
License:   BSD
Provides:  %{name} = %{version}
%description -n libopenjpeg2_0
The main part of the project consists in a JPEG 2000 codec compliant with the Part 1 of the standard (Class-1 Profile-1 compliance)

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Provides:	%{name}-devel = %{version}

%description    devel
Development files for the %{name} library. The main part of the project consists in a JPEG 2000 codec compliant with the Part 1 of the standard (Class-1 Profile-1 compliance)


%prep
%setup -q -n openjpeg2

%build
cd ..
mkdir temp
cd temp
cmake  -DBUILD_EXAMPLES:BOOL=OFF \
       -DBUILD_SHARED_LIBS:BOOL=ON \
       -DBUILD_TESTING:BOOL=OFF \
       -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
       -DOPENJPEG_INSTALL_LIB_DIR=%{_libdir} \
       -DCMAKE_BUILD_TYPE:STRING="Release" ../openjpeg2/

%__make VERBOSE=1 %{?_smp_mflags}

%install
cd ../temp
%makeinstall
%fdupes %{buildroot}

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libopenjpeg2_0
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/openjpeg-2.0/
%{_includedir}/openjpeg-2.0/*.h
%{_libdir}/lib*.so
%{_libdir}/openjpeg-2.0/
%{_libdir}/openjpeg-2.0/*.cmake

%changelog
* Sun Jan 24 2010 Angelos Tzotsos <tzotsos@opensuse.org> - 2.0-alpha
- Initial build
